name: crystal
version: 0.30.1
release: 1
sources: https://github.com/crystal-lang/crystal/archive/%{version}.tar.gz -> %{name}-%{version}.tar.gz

dependencies:
	- libyaml
	- libevent
	- pcre
	- openssl

@build
	cd %{name}-%{version}
	make release=1 \
		FLAGS="--release --no-debug" \
		CRYSTAL_PATH="$(pwd)/src" \
		CRYSTAL_CONFIG_VERSION="%{version}" \
		CRYSTAL_CONFIG_PATH="lib:/usr/lib/crystal" \
		CRYSTAL_CACHE_DIR="/tmp/crystal" \
		LLVM_CONFIG=/usr/bad/llvm-6/bin/llvm-config
	make docs CRYSTAL_CACHE_DIR="/tmp/crystal"

@install
	cd %{name}-%{version}

	mkdir -p \
		"%{pkg}/usr/bin" \
		"%{pkg}/usr/lib" \
		"%{pkg}/usr/share/man/man1"

	install -m755 ".build/crystal" "%{pkg}/usr/bin/crystal"

	cp -r src "%{pkg}/usr/lib/crystal"
	(
		cd "%{pkg}/usr/lib/crystal"
		rm -rf ext/sigfault.* llvm/ext/llvm_ext.o
	)

	mkdir -p "%{pkg}/usr/share/doc/crystal"
	cp -r docs "%{pkg}/usr/share/doc/crystal/api"
	cp -r samples "%{pkg}/usr/share/doc/crystal/"

	install -m644 man/crystal.1 "%{pkg}/usr/share/man/man1/"

	# We’ll probably want those at some point… in due time, and in splits.
	#install -m644 etc/completion.bash "%{pkg}/usr/share/bash-completion/completions/crystal"
	#install -m644 etc/completion.zsh "%{pkg}/usr/share/zsh/site-functions/_crystal"

