name: llvm
version: 8.0.1
release: 2
sources: https://github.com/llvm/llvm-project/releases/download/llvmorg-%{version}/llvm-%{version}.src.tar.xz
dependencies:
	- libffi

build-dependencies: python

@configure
	mkdir %{name}-%{version}
	cd %{name}-%{version} && \
		cmake ../llvm-%{version}.src \
		-DCMAKE_INSTALL_PREFIX="%{prefix}" \
		-DLLVM_BUILD_DOCS=OFF\
		-DLLVM_BUILD_EXAMPLES=OFF \
		-DLLVM_BUILD_EXTERNAL_COMPILER_RT=ON \
		-DLLVM_BUILD_LLVM_DYLIB=ON \
		-DLLVM_ENABLE_ASSERTIONS=OFF \
		-DLLVM_ENABLE_CXX1Y=ON \
		-DLLVM_ENABLE_FFI=ON \
		-DLLVM_ENABLE_LIBCXX=OFF \
		-DLLVM_ENABLE_PIC=ON \
		-DLLVM_ENABLE_RTTI=ON \
		-DLLVM_ENABLE_SPHINX=OFF \
		-DLLVM_ENABLE_TERMINFO=ON \
		-DLLVM_ENABLE_ZLIB=ON \
		-DLLVM_INCLUDE_EXAMPLES=OFF \
		-DLLVM_LINK_LLVM_DYLIB=ON \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_CXX_FLAGS="-fPIC -O2" \
		-DCMAKE_C_FLAGS="-fPIC -O2"

	# when llvm-8 won't be the lastest LLVM version anymore
	# -DCMAKE_INSTALL_PREFIX=/usr/bad/%{name}
